summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2017-08-19 20:54:54 +0300
committerLars Wirzenius <liw@liw.fi>2017-08-19 20:54:54 +0300
commiteaf403644a89dae9a725f78f66e0e8b185b1f035 (patch)
tree1c3bde3303e6976fd654cd79c0f56f4d9fb5591c
parenta4dae9c5ebdf2962a8476ad536c9245a7acb4517 (diff)
downloadcliapp-eaf403644a89dae9a725f78f66e0e8b185b1f035.tar.gz
Add: check script to replace "make check"
-rwxr-xr-xcheck8
1 files changed, 8 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 0000000..59a9d44
--- /dev/null
+++ b/check
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -eu
+
+python -m CoverageTestRunner --ignore-missing-from=without-tests
+rm -f .coverage
+pep8 cliapp
+PYTHONPATH=. pylint --rcfile=pylint.conf cliapp *.py test-plugins/*.py